
Installer - Bug #28903

Foreman 2.0 nightly installer shows errors when a package can't be installed but doesn't fail

01/30/2020 07:19 PM - Vladimir Sedmik

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: foreman-installer script   

Target version: 2.0.0   

Difficulty:  Fixed in Releases: 2.0.0

Triaged: Yes Found in Releases: 2.0.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/471,

https://github.com/theforeman/foreman-i

nstaller/pull/474,

https://github.com/theforeman/foreman-i

nstaller/pull/481,

https://github.com/theforeman/foreman-i

nstaller/pull/483

  

Description

Installing on RHEL-7.7, the installer shows these errors:

[ INFO 2020-01-30T13:17:41 verbose] Running installer with args [["-v", "--foreman-initial-admin-p

assword", "changeme"]]

[ INFO 2020-01-30T13:17:41 verbose] Executing hooks in group pre_validations

[ INFO 2020-01-30T13:17:41 verbose] All hooks in group pre_validations finished

[ INFO 2020-01-30T13:17:41 verbose] Running validation checks

[ INFO 2020-01-30T13:17:41 verbose] Executing hooks in group pre_commit

[ INFO 2020-01-30T13:17:41 verbose] All hooks in group pre_commit finished

[ INFO 2020-01-30T13:17:41 verbose] Executing hooks in group pre

Error: Execution of '/usr/bin/yum -d 0 -e 0 -y install rh-redis5-redis' returned 1: Error: Nothing

 to do

Error: /Package[rh-redis5-redis]/ensure: change from 'purged' to 'present' failed: Execution of '/

usr/bin/yum -d 0 -e 0 -y install rh-redis5-redis' returned 1: Error: Nothing to do

package { 'rh-redis5-redis':

  ensure   => 'purged',

  provider => 'yum',

}

/opt/puppetlabs/bin/puppet resource package rh-redis5-redis ensure=installed finished successfully

!

Error: Execution of '/usr/bin/yum -d 0 -e 0 -y install rh-postgresql12-postgresql-server' returned

 1: Error: Nothing to do

Error: /Package[rh-postgresql12-postgresql-server]/ensure: change from 'purged' to 'present' faile

d: Execution of '/usr/bin/yum -d 0 -e 0 -y install rh-postgresql12-postgresql-server' returned 1: 

Error: Nothing to do

package { 'rh-postgresql12-postgresql-server':

  ensure   => 'purged',

  provider => 'yum',

}

/opt/puppetlabs/bin/puppet resource package rh-postgresql12-postgresql-server ensure=installed fin

ished successfully!

[ INFO 2020-01-30T13:17:53 verbose] All hooks in group pre finished

 The installer should check the packages presence and handle it without error.

This issue probably relates to issue https://projects.theforeman.org/issues/28902

Related issues:

Related to Installer - Feature #28697: Upgrade to Postgresql 12 Closed
https://projects.theforeman.org/issues/28902


Related to Installer - Bug #28902: Foreman 2.0 nightly installation fails on ... Closed

Associated revisions

Revision 72d7c3f6 - 02/26/2020 12:58 PM - Ewoud Kohl van Wijngaarden

Fixes #28903 - Stop installer when package install fails

The puppet resource command always exits with code 0, even when the

package failed to install. This approach uses puppet apply with detailed

exit codes to detect when it failed. It also unifies all PUP-2169

workarounds in a single file and execution.

Revision 9674a958 - 03/06/2020 04:18 PM - Ewoud Kohl van Wijngaarden

Refs #28903 - Swap the postgresql{,-server} removal

postgresql can't be removed until postgresql-server is removed.

72d7c3f67fd4e1b131871c946d03808c9d26a124 caused the order to be swapped.

This ensures a correct order.

History

#1 - 01/30/2020 07:56 PM - Vladimir Sedmik

Edit: The package is not present as stated in the subject, it is actually missing and the installer complains there is nothing to do. I'm sorry for the

confusion.

#2 - 01/30/2020 08:22 PM - Ewoud Kohl van Wijngaarden

- Subject changed from Foreman 2.0 nightly installer shows errors when a package is already present on the system to Foreman 2.0 nightly installer

shows errors when a package can't be installed but doesn't fail

- Category set to foreman-installer script

- Target version set to 2.0.0

- Triaged changed from No to Yes

#3 - 02/05/2020 10:43 AM - Ewoud Kohl van Wijngaarden

- Related to Feature #28697: Upgrade to Postgresql 12 added

#4 - 02/05/2020 10:43 AM - Ewoud Kohl van Wijngaarden

- Related to Bug #28902: Foreman 2.0 nightly installation fails on RHEL-7.7 added

#5 - 02/20/2020 08:33 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/foreman-installer/pull/471 added

#6 - 02/21/2020 01:45 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/474 added

#7 - 02/26/2020 12:59 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#8 - 02/26/2020 01:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset installer|72d7c3f67fd4e1b131871c946d03808c9d26a124.

#9 - 03/05/2020 11:32 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/481 added

#10 - 03/05/2020 11:55 AM - Ewoud Kohl van Wijngaarden

- Fixed in Releases 2.0.0 added

- Fixed in Releases deleted (2.1.0)

05/12/2024 2/3

https://projects.theforeman.org/projects/puppet-foreman/repository/installer/revisions/72d7c3f67fd4e1b131871c946d03808c9d26a124


#11 - 03/05/2020 07:14 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/483 added
